﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ThinkGeo.MapSuite.Core;

namespace KmlExtension
{
    public class KmlFeatureLayer : FeatureLayer
    {
        public DateTime StartTime
        {
            set 
            { 
                ((KmlFeatureSource)FeatureSource).beginTime = value; 
            }
        }

        public KMLFolderData RootFolder
        {
            get { return ((KmlFeatureSource)FeatureSource).RootFolder; }
        }


        public KmlFeatureLayer(string kmlPathFileName)
            : this(kmlPathFileName, KmlStringType.File)
        {
        }

        public KmlFeatureLayer(string kmlString, KmlStringType stringType)
            : base()
        {
            FeatureSource = new KmlFeatureSource(kmlString, stringType);
        }

        public override bool HasBoundingBox
        {
            get
            {
                return true;
            }
        }
    }
}
